PreviewMatrix Class Reference

`#include <ImportASCIIDialog.h>`

Inheritance diagram for PreviewMatrix:

## Public Member Functions

void | clear ()
void | importASCII (const QString &fname, const QString &sep, int ignoredLines, bool stripSpaces, bool simplifySpaces, const QString &commentString, int importAs, const QLocale &locale, int endLine, int maxRows)
| PreviewMatrix (QWidget *parent, Matrix *m=0)

## Private Attributes

MatrixModel * | d_matrix_model

## Constructor & Destructor Documentation

PreviewMatrix::PreviewMatrix | ( | QWidget * | parent,
|  | Matrix * | m = `0`
| ) |  |

References MatrixModel::columnCount(), ApplicationWindow::d_decimal_digits, d_matrix_model, MatrixModel::setLocale(), and MatrixModel::setNumericFormat().

## Member Function Documentation

void PreviewMatrix::clear | ( |  | ) |

References MatrixModel::clear(), and d_matrix_model.

Referenced by ImportASCIIDialog::previewMatrix().

void PreviewMatrix::importASCII | ( | const QString & | fname,
|  | const QString & | sep,
|  | int | ignoredLines,
|  | bool | stripSpaces,
|  | bool | simplifySpaces,
|  | const QString & | commentString,
|  | int | importAs,
|  | const QLocale & | locale,
|  | int | endLine,
|  | int | maxRows
| ) |  |

References d_matrix_model, and MatrixModel::importASCII().

Referenced by ImportASCIIDialog::previewMatrix().

## Member Data Documentation

MatrixModel* PreviewMatrix::d_matrix_model

private

Referenced by clear(), importASCII(), and PreviewMatrix().

The documentation for this class was generated from the following files:

- qtiplot/src/core/ImportASCIIDialog.h
- qtiplot/src/core/ImportASCIIDialog.cpp